<?
require "std.php";

if (empty($qr)) {
// Set default values:
$state=1;
$severity=0;
$category=0;
$orderby=0;
}
$statq=qr("select * from bugphase order by bugphaseid;");
$sevrq=qr("select * from bugseverity order by severityid;");
$cateq=qr("select * from bugtype order by bugtypeid;");
if ($orderby==0) $oby="bugid desc";
if ($orderby==1) $oby="authorname";
if ($orderby==2) $oby="phase";
if ($orderby==3) $oby="ownername";
if ($orderby==4) $oby="category";
if ($orderby==5) $oby="bu.bugseverity desc";
// and joy shared my all:

$bugq=qr(
"select bu.bugid as bugid, ".
"       bt.name as category,".
"       bp.name as phase,".
"       bs.name as severity,".
"       au.username as authorname,".
"       au.useremail as authoremail,".
"       ow.username as ownername,".
"       ow.useremail as owneremail,".
"       bu.authorid as authorid,".
"       bu.ownerid as ownerid,".
"       bu.postdate as postdate,".
"       bu.shortdesc as shortdesc".
" from bug bu ".
" left outer join bugtype bt on bu.bugtype=bt.bugtypeid".
" left outer join bugphase bp on bu.bugphase=bp.bugphaseid".
" left outer join bugseverity bs on bu.bugseverity=bs.severityid".
" left outer join bugusers au on bu.authorid=au.userid".
" left outer join bugusers ow on bu.ownerid=ow.userid".
(($state!=0)?
" where bu.bugphase=".$state.(($severity!=0)?" AND bu.bugseverity=".$severity:"").(($category!=0)?" AND bu.bugtype=".$category:"")
:(($severity!=0)?
" where bu.bugseverity=".$severity.(($category!=0)?" AND bu.bugtype=".$category:"")
:(($category!=0)?
" where bu.bugtype=".$category:""))).
" order by ".$oby.";");
?>
<html>
<body>
<b>BqTrq bug index</b> - <?echo $username?> -
<a href="#newbug">Add new bug</a> <a href="logoff.php">Logoff</a><br>
<br>
<form action="bugidx.php" method="POST">
Show 
<select name="state">
<option value=0>All
<?
for ($i=0;$i<rows($statq);$i++) {
    $v=row($statq);
    printf("<option value=\"%s\"%s>%s",$v[0],($v[0]==$state)?" SELECTED":"",$v[1]);
}
?>
</select> 
entries of
<select name="severity">
<option value=0>Every
<?
for ($i=0;$i<rows($sevrq);$i++) {
    $v=row($sevrq);
    printf("<option value=\"%s\"%s>%s",$v[0],($v[0]==$severity)?" SELECTED":"",$v[1]);
}
?>
</select> 
level in
<select name="category">
<option value=0>Every
<?
for ($i=0;$i<rows($cateq);$i++) {
    $v=row($cateq);
    printf("<option value=\"%s\"%s>%s",$v[0],($v[0]==$category)?" SELECTED":"",$v[1]);
}
?>
</select><br>
category, ordered by 
<select name="orderby">
<option value="0">Bug id
<option value="1"<?if ($orderby==1)echo "SELECTED";?>>Author
<option value="2"<?if ($orderby==2)echo "SELECTED";?>>Bug phase
<option value="3"<?if ($orderby==3)echo "SELECTED";?>>Owner
<option value="4"<?if ($orderby==4)echo "SELECTED";?>>Category
<option value="5"<?if ($orderby==5)echo "SELECTED";?>>Severity
</select>, 
<input type="submit" name="qr" value="Please."></form>
<br>
<table border=1 cellpadding=2 cellspacing=0>
<tr bgcolor="#eeeeee" valign=top><td>Bug id</td><td>Phase</td><td>Severity</td><td>Category</td><td>Short description</td><td>Author</td><td>Owner</td><td nowrap>Post date</td></tr>
<?
$rowcolor=1;
for ($i=0;$i<rows($bugq);$i++) {
$v=row2($bugq);
printf("<tr bgcolor=\"%s\" valign=top><td><a href=\"bugdetail.php?bugid=%s\">%s</a></td><td>%s</td><td>%s</td><td>%s</td><td>%s</td><td><a href=\"mailto:%s\">%s</a></td><td><a href=\"mailto:%s\">%s</a></td><td nowrap>%s</td></tr>",
($rowcolor==0)?"#cccccc":"#dddddd",$v["bugid"],$v["bugid"],$v["phase"],$v["severity"],$v["category"],$v["shortdesc"],$v["authoremail"],$v["authorname"],$v["owneremail"],$v["ownername"],$v["postdate"]);
$rowcolor=1-$rowcolor;
}
?>
</table>
<br clear=all>
<br>
<hr>
<form method="POST" action="savebug.php"> <br>
<a name="newbug"></a>
<b>New bug</b><br>
<?
$sevrq=qr("select * from bugseverity order by severityid;");
$cateq=qr("select * from bugtype order by bugtypeid;");
?>
Short description<br>
<input type="text" name="shortdesc" size=20><br>
Category:<br>
<select name="category">
<?
for ($i=0;$i<rows($cateq);$i++) {
    $v=row($cateq);
    printf("<option value=\"%s\">%s",$v[0],$v[1]);
}
?>
</select><br>
Severity:<br>
<select name="severity">
<?
for ($i=0;$i<rows($sevrq);$i++) {
    $v=row($sevrq);
    printf("<option value=\"%s\">%s",$v[0],$v[1]);
}
?>
</select> <br>
Description:<br>
<textarea rows=7 cols=40 name="longdesc"></textarea><br>
Please tell how to reproduce the bug if possible.<br>
<br>
<input type="submit" value="Save bug">
</form>
</body>
</html>