
create table bugusers (
  userid int not null auto_increment,
  username varchar(80),
  userpass varchar(80),
  useremail varchar(80),
  PRIMARY KEY (userID)
);

create table bug (
  bugid int not null auto_increment,
  bugtype int,
  bugphase int,
  bugseverity int,
  authorid int,
  ownerid int,
  postdate datetime,
  shortdesc varchar(255),
  longdesc text,
  PRIMARY KEY (bugID)
);

create table bugtype (
  bugtypeid int not null auto_increment,
  name varchar(80),
  PRIMARY KEY (bugtypeID)
);

create table bugphase (
  bugphaseid int not null auto_increment,
  name varchar(80),
  PRIMARY KEY (bugphaseID)
);

create table bugseverity (
  severityid int not null auto_increment,
  name varchar(80),
  PRIMARY KEY (severityID)
);

create table comment (
  commentid int not null auto_increment,
  authorid int,
  bugid int,
  comment text,
  postdate datetime,
  PRIMARY KEY (commentID)
);